Bug 161966 - [MAINTAINER] irc/weechat-devel: update to 20111023 (0.3.7-dev)
Summary: [MAINTAINER] irc/weechat-devel: update to 20111023 (0.3.7-dev)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 14:50 UTC by Jase Thew
Modified: 2011-11-05 09:00 UTC (History)
0 users

See Also:


Attachments
weechat-devel-20111023.patch (1.56 KB, patch)
2011-10-24 14:50 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-10-24 14:50:00 UTC
- Update to 20111023 (0.3.7-dev)

Generated with FreeBSD Port Tools 0.99
Comment 1 Carlo Strub freebsd_committer 2011-10-25 06:18:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 Carlo Strub freebsd_committer 2011-11-02 14:50:57 UTC
State Changed
From-To: open->feedback

There is an option called DEBUG which is not further used in the Makefile. What is it for?
Comment 3 Jase Thew 2011-11-02 17:10:52 UTC
On 02/11/2011 14:51, cs@FreeBSD.org wrote:
> Synopsis: [MAINTAINER] irc/weechat-devel: update to 20111023 (0.3.7-dev)
>
> State-Changed-From-To: open->feedback
> State-Changed-By: cs
> State-Changed-When: Wed Nov 2 14:50:57 UTC 2011
> State-Changed-Why:
> There is an option called DEBUG which is not further used in the Makefile. What is it for?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=161966

As explained in the previous update for this port ( ports/161520 ) :

[quote]
The port uses cmake and WITH_DEBUG is handled in bsd.cmake.mk.

Please see
http://www.freebsd.org/cgi/getmsg.cgi?fetch=28231+0+/usr/local/www/db/text/2011/cvs-ports/20110417.cvs-ports
[/quote]

Someone needs to fix portlint wrt cmake, so that updaters don't get 
asked this same question every single time we submit an update PR for 
cmake based ports that utilise DEBUG.

Also, please refrain from removing bug-followup@ from the recipient list 
when responding to a PR, thanks.

Regards,

Jase Thew.
Comment 4 dfilter service freebsd_committer 2011-11-05 08:58:14 UTC
cs          2011-11-05 08:58:00 UTC

  FreeBSD ports repository

  Modified files:
    irc/weechat-devel    Makefile distinfo 
  Log:
  Update to 20111023
  
  PR:             ports/161966
  Submitted by:   Jase Thew <freebsd@beardz.net> (maintainer)
  Approved by:    wen@ (co-mentor)
  
  Revision  Changes    Path
  1.77      +3 -3      ports/irc/weechat-devel/Makefile
  1.51      +2 -2      ports/irc/weechat-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Carlo Strub freebsd_committer 2011-11-05 08:58:27 UTC
State Changed
From-To: feedback->closed

Committed. Thank you very much.